System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

The class provides a simple collection object that can be used to store a set of objects.

Represents a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class that contains the specified array of objects.

  An array of objects with which to initialize the collection.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class that contains the elements of the specified source collection.

  A object with which to initialize the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds the specified object to the collection.

  The index at which the new element was inserted.

  The object to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Copies the elements of the specified array to the end of the collection.

  An array of type that contains the objects to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the contents of another object to the end of the collection.

  A object that contains the objects to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Gets a value that indicates whether the collection contains the specified object.

  true if the collection contains the specified object; otherwise, false.

  The object to search for in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the elements in the object to a one-dimensional instance, starting at the specified index.

  The one-dimensional that is the destination of the values copied from the collection. The index of the array at which to begin inserting.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Gets the index of the specified object in the , if it exists in the collection.

  The index of the specified object, if it is found, in the collection; otherwise, -1.

  The to locate in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts the specified object into the collection at the specified index.

  The zero-based index where the specified object should be inserted. The object to insert.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeTypeDeclaration `` To be added: an object of type 'int' To be added To be added: an object of type 'CodeTypeDeclaration' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes the specified object from the collection.

  The to remove from the collection.